package com.pqs9900.pojo.DataInfo;


import java.util.Date;

/**
 * @Description 终端设备对象
 * @Author cdf
 * @Date 2020/7/30 11:09
 **/

public class TerminalPojo {
    private Long devIndex;//终端id
    private String name;// 终端名称
    private String devType;//终端型号
    private Integer status; //通讯状态
    private String gdName;//供电公司名称
    private String bdName;//变电站名称
    private String edIndex;//版本id
    private String edName;//版本号
    private String proTocol;//协议
    private String edDate;//版本日期
    private String devSeries; //装置系列guid
    private String devSeriesName; //装置系列名称

    private String updateUser;
    private Date updateTime;
    private Integer updateresult;


    public Long getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(Long devIndex) {
        this.devIndex = devIndex;
    }

    public String getEdIndex() {
        return edIndex;
    }

    public void setEdIndex(String edIndex) {
        this.edIndex = edIndex;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getBdName() {
        return bdName;
    }

    public void setBdName(String bdName) {
        this.bdName = bdName;
    }

    public String getEdName() {
        return edName;
    }

    public void setEdName(String edName) {
        this.edName = edName;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getProTocol() {
        return proTocol;
    }

    public void setProTocol(String proTocol) {
        this.proTocol = proTocol;
    }

    public String getEdDate() {
        return edDate;
    }

    public void setEdDate(String edDate) {
        this.edDate = edDate;
    }

    public String getDevSeries() {
        return devSeries;
    }

    public void setDevSeries(String devSeries) {
        this.devSeries = devSeries;
    }

    public String getDevSeriesName() {
        return devSeriesName;
    }

    public void setDevSeriesName(String devSeriesName) {
        this.devSeriesName = devSeriesName;
    }

    public Integer getUpdateresult() {
        return updateresult;
    }

    public void setUpdateresult(Integer updateresult) {
        this.updateresult = updateresult;
    }
}
